gi-pango-1.0.29: Pango bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Pango.Structs.AttrInt

Contents

- Exported types
- Methods
- Properties
  - attr
  - value

Description

The `PangoAttrInt` structure is used to represent attributes with an integer or enumeration value.

Synopsis

- newtype AttrInt = AttrInt (ManagedPtr AttrInt)
- newZeroAttrInt :: MonadIO m => m AttrInt
- getAttrIntAttr :: MonadIO m => AttrInt -> m Attribute
- getAttrIntValue :: MonadIO m => AttrInt -> m Int32
- setAttrIntValue :: MonadIO m => AttrInt -> Int32 -> m ()

# Exported types

newtype AttrInt Source #

Memory-managed wrapper type.

Constructors

AttrInt (ManagedPtr AttrInt) |

#### Instances

Instances details

Eq AttrInt Source # |
Instance details Defined in GI.Pango.Structs.AttrInt Methods (==) :: AttrInt -> AttrInt -> Bool Source # (/=) :: AttrInt -> AttrInt -> Bool Source #
BoxedPtr AttrInt Source # |
Instance details Defined in GI.Pango.Structs.AttrInt Methods boxedPtrCopy :: AttrInt -> IO AttrInt Source # boxedPtrFree :: AttrInt -> IO () Source #
CallocPtr AttrInt Source # |
Instance details Defined in GI.Pango.Structs.AttrInt Methods boxedPtrCalloc :: IO (Ptr AttrInt) Source #
ManagedPtrNewtype AttrInt Source # |
Instance details Defined in GI.Pango.Structs.AttrInt Methods toManagedPtr :: AttrInt -> ManagedPtr AttrInt Source #
tag ~ 'AttrSet => Constructible AttrInt tag Source # |
Instance details Defined in GI.Pango.Structs.AttrInt Methods new :: MonadIO m => (ManagedPtr AttrInt -> AttrInt) -> [AttrOp AttrInt tag] -> m AttrInt Source #

newZeroAttrInt :: MonadIO m => m AttrInt Source #

Construct a `AttrInt` struct initialized to zero.

# Methods

# Properties

## attr

the common portion of the attribute

getAttrIntAttr :: MonadIO m => AttrInt -> m Attribute Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get attrInt #attr

## value

the value of the attribute

getAttrIntValue :: MonadIO m => AttrInt -> m Int32 Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get attrInt #value

setAttrIntValue :: MonadIO m => AttrInt -> Int32 -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set attrInt [ #value := value ]